OpenShot Audio Library | OpenShotAudio: juce::ScopedPointer< ObjectType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.6.0

Loading...
Searching...
No Matches
juce::ScopedPointer< ObjectType > Class Template Reference

`#include <juce_ScopedPointer.h>`

## Public Member Functions
| ScopedPointer (decltype(nullptr)) noexcept
| ScopedPointer (ObjectType *objectToTakePossessionOf) noexcept
| ScopedPointer (ScopedPointer &objectToTransferFrom) noexcept
ScopedPointer & | operator= (ScopedPointer &objectToTransferFrom)
ScopedPointer & | operator= (ObjectType *newObjectToTakePossessionOf)
| ScopedPointer (ScopedPointer &&other) noexcept
ScopedPointer & | operator= (ScopedPointer &&other) noexcept
| operator ObjectType * () const noexcept
ObjectType * | get () const noexcept
ObjectType & | operator* () const noexcept
ObjectType * | operator-> () const noexcept
void | reset ()
void | reset (ObjectType *newObject)
void | reset (ScopedPointer &newObject)
ObjectType * | release () noexcept
void | swapWith (ScopedPointer< ObjectType > &other) noexcept
ObjectType * | createCopy () const

## Detailed Description

template<class ObjectType>
class juce::ScopedPointer< ObjectType >

This class is deprecated. You should use std::unique_ptr instead.

Definition at line 33 of file juce_ScopedPointer.h.

## Constructor & Destructor Documentation

## ◆ ScopedPointer() [1/5]

template<class ObjectType>

juce::ScopedPointer< ObjectType >::ScopedPointer | ( |  | ) |
| inline

Definition at line 40 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [2/5]

template<class ObjectType>

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | decltype(nullptr) |  | ) |
| inlinenoexcept

Definition at line 42 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [3/5]

template<class ObjectType>

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ObjectType * | objectToTakePossessionOf | ) |
| inlinenoexcept

Definition at line 44 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [4/5]

template<class ObjectType>

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ScopedPointer< ObjectType > & | objectToTransferFrom | ) |
| inlinenoexcept

Definition at line 49 of file juce_ScopedPointer.h.

## ◆ ~ScopedPointer()

template<class ObjectType>

juce::ScopedPointer< ObjectType >::~ScopedPointer | ( |  | ) |
| inline

Definition at line 54 of file juce_ScopedPointer.h.

## ◆ ScopedPointer() [5/5]

template<class ObjectType>

juce::ScopedPointer< ObjectType >::ScopedPointer | ( | ScopedPointer< ObjectType > && | other | ) |
| inlinenoexcept

Definition at line 75 of file juce_ScopedPointer.h.

## Member Function Documentation

## ◆ createCopy()

template<class ObjectType>

ObjectType * juce::ScopedPointer< ObjectType >::createCopy | ( |  | ) | const
| inline

Definition at line 132 of file juce_ScopedPointer.h.

## ◆ get()

template<class ObjectType>

ObjectType * juce::ScopedPointer< ObjectType >::get | ( |  | ) | const
| inlinenoexcept

Definition at line 88 of file juce_ScopedPointer.h.

## ◆ operator ObjectType *()

template<class ObjectType>

juce::ScopedPointer< ObjectType >::operator ObjectType * | ( |  | ) | const
| inlinenoexcept

Definition at line 87 of file juce_ScopedPointer.h.

## ◆ operator*()

template<class ObjectType>

ObjectType & juce::ScopedPointer< ObjectType >::operator* | ( |  | ) | const
| inlinenoexcept

Definition at line 89 of file juce_ScopedPointer.h.

## ◆ operator->()

template<class ObjectType>

ObjectType * juce::ScopedPointer< ObjectType >::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 90 of file juce_ScopedPointer.h.

## ◆ operator=() [1/3]

template<class ObjectType>

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ObjectType * | newObjectToTakePossessionOf | ) |
| inline

Definition at line 69 of file juce_ScopedPointer.h.

## ◆ operator=() [2/3]

template<class ObjectType>

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ScopedPointer< ObjectType > && | other | ) |
| inlinenoexcept

Definition at line 80 of file juce_ScopedPointer.h.

## ◆ operator=() [3/3]

template<class ObjectType>

ScopedPointer & juce::ScopedPointer< ObjectType >::operator= | ( | ScopedPointer< ObjectType > & | objectToTransferFrom | ) |
| inline

Definition at line 56 of file juce_ScopedPointer.h.

## ◆ release()

template<class ObjectType>

ObjectType * juce::ScopedPointer< ObjectType >::release | ( |  | ) |
| inlinenoexcept

Definition at line 120 of file juce_ScopedPointer.h.

## ◆ reset() [1/3]

template<class ObjectType>

void juce::ScopedPointer< ObjectType >::reset | ( |  | ) |
| inline

Definition at line 92 of file juce_ScopedPointer.h.

## ◆ reset() [2/3]

template<class ObjectType>

void juce::ScopedPointer< ObjectType >::reset | ( | ObjectType * | newObject | ) |
| inline

Definition at line 99 of file juce_ScopedPointer.h.

## ◆ reset() [3/3]

template<class ObjectType>

void juce::ScopedPointer< ObjectType >::reset | ( | ScopedPointer< ObjectType > & | newObject | ) |
| inline

Definition at line 115 of file juce_ScopedPointer.h.

## ◆ swapWith()

template<class ObjectType>

void juce::ScopedPointer< ObjectType >::swapWith | ( | ScopedPointer< ObjectType > & | other | ) |
| inlinenoexcept

Definition at line 123 of file juce_ScopedPointer.h.

The documentation for this class was generated from the following file:

- juce_ScopedPointer.h